#
# This is the SPEC file for creating binary RPMs for the Dom0.
#
#
# The Qubes OS Project, http://www.qubes-os.org
#
# Copyright (C) 2010  Joanna Rutkowska <joanna@invisiblethingslab.com>
# Copyright (C) 2010  Rafal Wojtczuk  <rafal@invisiblethingslab.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#

Name:       qubes-desktop-linux-manager
Version:	4.3.2
Release:	1%{dist}
Summary:	Qubes UI Applications

Group:		Qubes
Vendor:		Invisible Things Lab
License:	GPL
URL:		http://www.qubes-os.org
Source0:    %{name}-%{version}.tar.gz

# because we have "#!/usr/bin/env python" shebangs, RPM puts
# "Requires: $(which # python)" dependency, which, depending on $PATH order,
# may point to /usr/bin/python or /bin/python (because Fedora has this stupid
# /bin -> usr/bin symlink). python*.rpm provides only /usr/bin/python.
AutoReq:	no

BuildArch: noarch

BuildRequires:  make
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  gettext

Requires:  python%{python3_pkgversion}-setuptools
Requires:  python%{python3_pkgversion}-gbulb
Requires:  python%{python3_pkgversion}-inotify
Requires:  libappindicator-gtk3
Requires:  python%{python3_pkgversion}-systemd
Requires:  gtk3
Requires:  python%{python3_pkgversion}-qubesadmin >= 4.2.11
# FIXME: we need some way for applying updates from GUI VM
#Requires:  qubes-mgmt-salt-dom0-update >= 4.0.5
Requires:  qubes-artwork >= 4.1.5
# for qui/widget-wrapper
Requires:  xhost
Requires:  gtksourceview4
Requires:  gnome-icon-theme

Provides:   qui = %{version}-%{release}
Obsoletes:  qui < 4.0.0


%description
A collection of GUI application for enhancing the Qubes UX.

%prep
%setup

%build
%py3_build

%install
%py3_install
make install DESTDIR=$RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/Adwaita &>/dev/null || :

%postun
if [ $1 -eq 0 ]; then
    touch --no-create %{_datadir}/icons/Adwaita &>/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/Adwaita &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/Adwaita &>/dev/null || :

%files
%defattr(-,root,root,-)

%dir %{python3_sitelib}/qui-*.egg-info
%{python3_sitelib}/qui-*.egg-info/*

%dir %{python3_sitelib}/qui
%dir %{python3_sitelib}/qui/__pycache__
%{python3_sitelib}/qui/__pycache__/*
%{python3_sitelib}/qui/__init__.py
%{python3_sitelib}/qui/decorators.py
%{python3_sitelib}/qui/clipboard.py
%{python3_sitelib}/qui/utils.py

%{python3_sitelib}/qui/updater.glade
%{python3_sitelib}/qui/updater_settings.glade
%{python3_sitelib}/qui/qubes-updater-base.css
%{python3_sitelib}/qui/qubes-updater-light.css
%{python3_sitelib}/qui/qubes-updater-dark.css
%{python3_sitelib}/qui/eol.json

%{python3_sitelib}/qui/styles/qubes-colors-light.css
%{python3_sitelib}/qui/styles/qubes-colors-dark.css
%{python3_sitelib}/qui/styles/qubes-widgets-base.css

%dir %{python3_sitelib}/qui/updater/
%dir %{python3_sitelib}/qui/updater/__pycache__
%{python3_sitelib}/qui/updater/__pycache__/*
%{python3_sitelib}/qui/updater/__init__.py
%{python3_sitelib}/qui/updater/intro_page.py
%{python3_sitelib}/qui/updater/progress_page.py
%{python3_sitelib}/qui/updater/summary_page.py
%{python3_sitelib}/qui/updater/updater.py
%{python3_sitelib}/qui/updater/updater_settings.py
%{python3_sitelib}/qui/updater/utils.py

%dir %{python3_sitelib}/qui/devices/
%dir %{python3_sitelib}/qui/devices/__pycache__
%{python3_sitelib}/qui/devices/__pycache__/*
%{python3_sitelib}/qui/devices/__init__.py
%{python3_sitelib}/qui/devices/actionable_widgets.py
%{python3_sitelib}/qui/devices/backend.py
%{python3_sitelib}/qui/devices/device_widget.py
%{python3_sitelib}/qui/devices/device_widget.py
%{python3_sitelib}/qui/qubes-devices-dark.css
%{python3_sitelib}/qui/qubes-devices-light.css

%dir %{python3_sitelib}/qui/tray/
%dir %{python3_sitelib}/qui/tray/__pycache__
%{python3_sitelib}/qui/tray/__pycache__/*
%{python3_sitelib}/qui/tray/__init__.py
%{python3_sitelib}/qui/tray/domains.py
%{python3_sitelib}/qui/tray/disk_space.py
%{python3_sitelib}/qui/tray/updates.py

%dir %{python3_sitelib}/qubes_config
%dir %{python3_sitelib}/qubes_config/__pycache__
%{python3_sitelib}/qubes_config/__init__.py
%{python3_sitelib}/qubes_config/__pycache__/*
%{python3_sitelib}/qubes_config/global_config/__init__.py
%{python3_sitelib}/qubes_config/global_config/__pycache__/*
%{python3_sitelib}/qubes_config/global_config/basics_handler.py
%{python3_sitelib}/qubes_config/global_config/conflict_handler.py
%{python3_sitelib}/qubes_config/global_config/global_config.py
%{python3_sitelib}/qubes_config/global_config/page_handler.py
%{python3_sitelib}/qubes_config/global_config/policy_handler.py
%{python3_sitelib}/qubes_config/global_config/policy_manager.py
%{python3_sitelib}/qubes_config/global_config/policy_rules.py
%{python3_sitelib}/qubes_config/global_config/policy_exceptions_handler.py
%{python3_sitelib}/qubes_config/global_config/rule_list_widgets.py
%{python3_sitelib}/qubes_config/global_config/thisdevice_handler.py
%{python3_sitelib}/qubes_config/global_config/updates_handler.py
%{python3_sitelib}/qubes_config/global_config/usb_devices.py
%{python3_sitelib}/qubes_config/global_config/vm_flowbox.py
%{python3_sitelib}/qubes_config/new_qube/__init__.py
%{python3_sitelib}/qubes_config/new_qube/__pycache__/*
%{python3_sitelib}/qubes_config/new_qube/advanced_handler.py
%{python3_sitelib}/qubes_config/new_qube/application_selector.py
%{python3_sitelib}/qubes_config/new_qube/network_selector.py
%{python3_sitelib}/qubes_config/new_qube/new_qube_app.py
%{python3_sitelib}/qubes_config/new_qube/template_handler.py
%{python3_sitelib}/qubes_config/widgets/__init__.py
%{python3_sitelib}/qubes_config/widgets/__pycache__/*
%{python3_sitelib}/qubes_config/widgets/gtk_utils.py
%{python3_sitelib}/qubes_config/widgets/gtk_widgets.py
%{python3_sitelib}/qubes_config/widgets/utils.py

%{python3_sitelib}/qubes_config/global_config.glade
%{python3_sitelib}/qubes_config/new_qube.glade
%{python3_sitelib}/qubes_config/qubes-global-config-base.css
%{python3_sitelib}/qubes_config/qubes-global-config-light.css
%{python3_sitelib}/qubes_config/qubes-global-config-dark.css
%{python3_sitelib}/qubes_config/qubes-policy-editor-base.css
%{python3_sitelib}/qubes_config/qubes-policy-editor-light.css
%{python3_sitelib}/qubes_config/qubes-policy-editor-dark.css
%{python3_sitelib}/qubes_config/qubes-new-qube-base.css
%{python3_sitelib}/qubes_config/qubes-new-qube-light.css
%{python3_sitelib}/qubes_config/qubes-new-qube-dark.css

%{python3_sitelib}/qubes_config/policy_editor/__pycache__/*
%{python3_sitelib}/qubes_config/policy_editor.glade
%{python3_sitelib}/qubes_config/policy_editor/policy_editor.py
%{python3_sitelib}/qubes_config/policy_editor/__init__.py
%{python3_sitelib}/qubes_config/policy_editor/policy_help.txt

%{_bindir}/qui-domains
%{_bindir}/qui-devices
%{_bindir}/qui-disk-space
%{_bindir}/qui-updates
%{_bindir}/qui-clipboard
%{_bindir}/qubes-update-gui
/etc/xdg/autostart/qui-domains.desktop
/etc/xdg/autostart/qui-devices.desktop
/etc/xdg/autostart/qui-clipboard.desktop
/etc/xdg/autostart/qui-disk-space.desktop
/etc/xdg/autostart/qui-updates.desktop
/usr/share/icons/Adwaita/22x22/devices/generic-usb.png
/usr/share/icons/Adwaita/22x22/status/outdated.png
/usr/share/applications/qubes-update-gui.desktop
/usr/bin/widget-wrapper
/lib/systemd/user/qubes-widget@.service
/usr/share/locale/en/LC_MESSAGES/desktop-linux-manager.mo
/usr/share/locale/pl/LC_MESSAGES/desktop-linux-manager.mo

/usr/share/applications/qubes-global-config.desktop
/usr/share/applications/qubes-new-qube.desktop
/usr/share/applications/qubes-policy-editor-gui.desktop

%{_bindir}/qubes-new-qube
%{_bindir}/qubes-global-config
%{_bindir}/qubes-policy-editor-gui

/usr/share/icons/hicolor/16x16/apps/qui-domains.png
/usr/share/icons/hicolor/24x24/apps/qui-domains.png
/usr/share/icons/hicolor/32x32/apps/qui-domains.png
/usr/share/icons/hicolor/40x40/apps/qui-domains.png
/usr/share/icons/hicolor/48x48/apps/qui-domains.png
/usr/share/icons/hicolor/72x72/apps/qui-domains.png
/usr/share/icons/hicolor/96x96/apps/qui-domains.png
/usr/share/icons/hicolor/128x128/apps/qui-domains.png

/usr/share/icons/hicolor/scalable/apps/arrow-dark.svg
/usr/share/icons/hicolor/scalable/apps/arrow-light.svg
/usr/share/icons/hicolor/scalable/apps/camera-dark.svg
/usr/share/icons/hicolor/scalable/apps/camera-light.svg
/usr/share/icons/hicolor/scalable/apps/check_maybe.svg
/usr/share/icons/hicolor/scalable/apps/check_no.svg
/usr/share/icons/hicolor/scalable/apps/check_yes.svg
/usr/share/icons/hicolor/scalable/apps/detach-dark.svg
/usr/share/icons/hicolor/scalable/apps/detach-light.svg
/usr/share/icons/hicolor/scalable/apps/edit-dark.svg
/usr/share/icons/hicolor/scalable/apps/edit-light.svg
/usr/share/icons/hicolor/scalable/apps/harddrive-dark.svg
/usr/share/icons/hicolor/scalable/apps/harddrive-light.svg
/usr/share/icons/hicolor/scalable/apps/help-dark.svg
/usr/share/icons/hicolor/scalable/apps/help-light.svg
/usr/share/icons/hicolor/scalable/apps/key-dark.svg
/usr/share/icons/hicolor/scalable/apps/key-light.svg
/usr/share/icons/hicolor/scalable/apps/mic-dark.svg
/usr/share/icons/hicolor/scalable/apps/mic-light.svg
/usr/share/icons/hicolor/scalable/apps/mouse-dark.svg
/usr/share/icons/hicolor/scalable/apps/mouse-light.svg
/usr/share/icons/hicolor/scalable/apps/qubes-ask.svg
/usr/share/icons/hicolor/scalable/apps/qubes-check-maybe.svg
/usr/share/icons/hicolor/scalable/apps/qubes-check-yes.svg
/usr/share/icons/hicolor/scalable/apps/qubes-customize.svg
/usr/share/icons/hicolor/scalable/apps/qubes-delete-x.svg
/usr/share/icons/hicolor/scalable/apps/qubes-delete.svg
/usr/share/icons/hicolor/scalable/apps/qubes-devices.svg
/usr/share/icons/hicolor/scalable/apps/qubes-expander-hidden-black.svg
/usr/share/icons/hicolor/scalable/apps/qubes-expander-hidden-white.svg
/usr/share/icons/hicolor/scalable/apps/qubes-expander-shown-black.svg
/usr/share/icons/hicolor/scalable/apps/qubes-expander-shown-white.svg
/usr/share/icons/hicolor/scalable/apps/qubes-global-config.svg
/usr/share/icons/hicolor/scalable/apps/qubes-info.svg
/usr/share/icons/hicolor/scalable/apps/qubes-key.svg
/usr/share/icons/hicolor/scalable/apps/qubes-logo.svg
/usr/share/icons/hicolor/scalable/apps/qubes-new-qube.svg
/usr/share/icons/hicolor/scalable/apps/qubes-ok.svg
/usr/share/icons/hicolor/scalable/apps/qubes-padlock.svg
/usr/share/icons/hicolor/scalable/apps/qubes-policy-editor.svg
/usr/share/icons/hicolor/scalable/apps/qubes-question-light.svg
/usr/share/icons/hicolor/scalable/apps/qubes-question.svg
/usr/share/icons/hicolor/scalable/apps/qubes-this-device.svg
/usr/share/icons/hicolor/scalable/apps/qui-domains-scalable.svg
/usr/share/icons/hicolor/scalable/apps/settings-dark.svg
/usr/share/icons/hicolor/scalable/apps/settings-light.svg
/usr/share/icons/hicolor/scalable/apps/smartphone-dark.svg
/usr/share/icons/hicolor/scalable/apps/smartphone-light.svg

/usr/share/gtksourceview-4/language-specs/qubes-rpc.lang

%changelog
* Fri Jul 05 2024 Qubes OS Team <qubes-devel@googlegroups.com>
- For complete changelog see: https://github.com/QubesOS/qubes-desktop-linux-manager.git

* Fri Jul 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 7f11555
- version 4.3.2

* Fri Jul 05 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - bce0f8c
- version 4.3.1

* Mon Jul 01 2024 Ali Mirjamali <ali@mirjamali.com> - 25f1be1
- Remove VM from obsolete_vms list if template is deleted

* Sat Jun 29 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 8d1c88b
- updater: unify retcodes with backend updater

* Wed Jun 26 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 15dc1f1
- updater: add --signal-no-updates flag

* Mon Jun 24 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - ff9900e
- updater: test apply and update flags

* Mon Jun 24 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 5abe625
- updater: test is_stale(dom0)

* Mon Jun 24 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 1711106
- updater: make pylint happy

* Mon Jun 24 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 73174dd
- updater: fix force updating

* Mon Jun 24 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 713df49
- updater: show only one confirmation to the user

* Mon Jun 24 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - ceec6a0
- updater: updaate dom0 tests

* Mon Jun 24 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 91bd5c4
- updater: make pylint happy

* Mon Jun 24 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 9f59b61
- updater: apply the same selection criteria to dom0

* Mon Jun 24 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - f92e565
- updater: set progress as 100 if update fails or was cancelled

* Mon Jun 24 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 462ce53
- updater: make test reproducible

* Mon Jun 24 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 644299a
- updater: return 130 if user cancels updating

* Mon Jun 24 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - a677000
- updater: get default value of '--update-if-stale' from dom0 settings

* Mon Jun 24 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 32bf290
- updater: unify cli args with backend updater

* Mon Jun 24 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 4c824ec
- updater: fix selection if the intro page is skipped

* Mon Jun 24 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 47bea95
- updater: show success dialog if nothing to do

* Mon Jun 24 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 22e6599
- updater: show success dialog in non-interactive mode

* Mon Jun 24 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 32508dd
- updater: update tests

* Mon Jun 24 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - d7c282e
- updater: return 100 if no vm was updated

* Mon Jun 24 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 819fdd9
- updater: unify cli options with cli updater

* Mon Jun 24 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 1751f46
- updater: non-interactive updater

* Mon Jun 24 2024 Ali Mirjamali <ali@mirjamali.com> - 03ce457
- Monospace font for Qubes Update GUI progress details

* Fri Jun 21 2024 Ali Mirjamali <ali@mirjamali.com> - 01a495a
- Global Config app not closing if Help Window is Open

* Fri Jun 21 2024 Ali Mirjamali <ali@mirjamali.com> - 415c7b1
- Uneditable column headers in policy editor

* Fri Jun 21 2024 Ali Mirjamali <ali@mirjamali.com> - 59a69eb
- Tray Update Notifier fix for os-eol feature change

* Mon Jun 17 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 0ec6462
- version 4.3.0

* Mon Jun 17 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - 3c031f7
- q-dev: update tests + fix

* Sun Jun 16 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 82fb69f
- load_theme needs package_name for loading by name

* Sat Jun 15 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 807da20
- ci: install pip

* Sun May 26 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - 6c57e91
- q-dev: update api

* Sun May 26 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - a853de9
- q-dev: fix global config

* Sun May 26 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - 7736f8b
- q-dev: implement new device api

* Fri May 17 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 2191a8c
- version 4.2.23

* Wed May 15 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - c4b5ee7
- Remove some superfluous returns to pacify pylint

* Wed May 15 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 85c0d2f
- Add tests to eol testing

* Wed May 15 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - fd5e092
- Fix registering signals in tests

* Wed May 15 2024 Piotr Bartman-Szwarc <prbartman@invisiblethingslab.com> - b826426
- updater: update test to be compliant with updater backend + update help

* Wed May 15 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - b20238c
- Use os-eol feature to determine end of life

* Wed May 15 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 839c22d
- Actually run updater tests in CI

* Wed May 15 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - b73f474
- Don't cancel updates on Esc

* Tue May 14 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - 4afc35e
- version 4.2.22

* Mon May 13 2024 Minimalist <suspectindustrie@protonmail.com> - 9cae2b7
- Fix updater startup crash

* Thu May 09 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 5252262
- Add missing info to devices widget

* Mon May 06 2024 Marta Marczykowska-Górecka <marmarta@invisiblethingslab.com> - 18c291e
- Remove deprecated pkg_resources and replace it with importlib.resources

* Sun Apr 28 2024 Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com> - a442f92
- version 4.2.21

* Wed Apr 24 2024 Piotr Bartman <prbartman@invisiblethingslab.com> - 1b1e9b4
- updater: fix showing output

